Bug 1528742 - Feature: Add JACK audio backend to IceCat browser
Summary: Feature: Add JACK audio backend to IceCat browser
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: icecat
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-23 09:55 UTC by Damien Zammit
Modified: 2018-01-10 22:23 UTC (History)
3 users (show)

Fixed In Version: icecat-52.5.2-1.fc27 icecat-52.5.2-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-10 02:03:56 UTC


Attachments (Terms of Use)
Add JACK audio backend to IceCat (1.30 KB, application/mbox)
2017-12-23 09:55 UTC, Damien Zammit
no flags Details
Screenshot with working JACK audio (112.68 KB, image/png)
2017-12-30 00:24 UTC, Damien Zammit
no flags Details

Description Damien Zammit 2017-12-23 09:55:07 UTC
Created attachment 1371567 [details]
Add JACK audio backend to IceCat

Hi,

I would like to suggest to the IceCat maintainer to enable JACK audio backend within the IceCat browser.  It is as simple as adding a compile time --enable-jack flag to the build.  The code for the backend is already upstream in Firefox.

The only problem I can see users might have with it is that in 52.3 you can't actually select which backend you want.  But if you enable the jack compile flag and at runtime jackd is not running, it will fall back to the default backend which is pulseaudio.  Therefore there will be very little chance that the user will be negatively affected, unless they usually run JACK and Pulse simultaneously and prefer not to use JACK for their browser audio - an unlikely situation.

But the benefits are that users who want to route their browser audio through JACK  can now do so, just launch jackd before starting the browser!

Please find attached a patch that should do the job, if you decide to include it.

Cheers,
Damien

Comment 1 Antonio 2017-12-29 22:16:08 UTC
Please, test this scratch build: 
https://koji.fedoraproject.org/koji/taskinfo?taskID=23944928

Comment 2 Damien Zammit 2017-12-30 00:24:20 UTC
Created attachment 1374305 [details]
Screenshot with working JACK audio

Working JACK audio backend in IceCat scratch build

Comment 3 Fedora Update System 2017-12-30 19:16:50 UTC
icecat-52.5.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5d5b8f4659

Comment 4 Fedora Update System 2017-12-30 19:16:58 UTC
icecat-52.5.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-900582b02d

Comment 5 Fedora Update System 2017-12-31 19:32:29 UTC
icecat-52.5.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5d5b8f4659

Comment 6 Fedora Update System 2017-12-31 22:07:39 UTC
icecat-52.5.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-900582b02d

Comment 7 Fedora Update System 2018-01-10 02:03:56 UTC
icecat-52.5.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-01-10 22:23:20 UTC
icecat-52.5.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.